<?php
/*
 * Copyright (C) 2010 - PRiSE
 *
 * This	free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

class Log {
	private static $logfile;
	private static $debugmode;
	
	public static function setConfig($debug = false, $file = '') {
		self::$logfile = $file;
		self::$debugmode = $debug;
	}
	
	public static function init() {
		if (!isset($_SESSION)) {
			session_start();
		}
		$_SESSION["PAPI_LOG_PREFIX"] = mt_rand();
	}

	public static function info($msg) {
		if (!isset($_SESSION)) {
			session_start();
		}
		$prefix = "";
		if (array_key_exists("PAPI_LOG_PREFIX", $_SESSION)) {
			$prefix = "-".$_SESSION["PAPI_LOG_PREFIX"];
		}
		if (self::$logfile == "") {
			error_log("[INFO".$prefix."] ".$msg);
		}
		else {
			error_log("[INFO".$prefix."] ".$msg."\n", 3, self::$logfile);
		}
	}
	
	public static function debug($msg) {
		if (self::isDebugMode()) {
			if (!isset($_SESSION)) {
				session_start();
			}
			$prefix = "";
			if (array_key_exists("PAPI_LOG_PREFIX", $_SESSION)) {
				$prefix = "-".$_SESSION["PAPI_LOG_PREFIX"];
			}
			if (self::$logfile == "") {
				error_log("[DEBUG".$prefix."] ".$msg);
			}
			else {
				error_log("[DEBUG".$prefix."] ".$msg."\n", 3, self::$logfile);
			}
		}
	}
	
	public static function isDebugMode() {
		return self::$debugmode;
	}
}

?>
